// DATE.H - Date class definition

// All year values are now represented as four digits.
// I added one more constructor, that takes a long integer in the
// format yyyymmdd. This proved useful in other exercises in this
// chapter.

#ifndef DATE_H
#define DATE_H

#include <iostream.h>

class Date {
public:
  Date();
  Date( int m, int d, int y );
  Date( long yyyymmddV );

  bool EqualTo( const Date & d2 );
  // Return true if this date is equal to 
  // date d2.

  friend ostream & operator <<( ostream & os, 
     const Date & D );

  friend istream & operator >>( istream & inp,
     Date & D );

  enum DateFormat { ddmmyyyy, mmddyyyy, ddmmmyyyy };
 
  static void SetFormat( DateFormat fmt );
  static void SetDelimiter( char ch );

private:
  int month;
  int day;
  int year;
  static char delim;          // delimiter character
  static DateFormat currentFormat;
};

#endif
